You are not logged in.

#1 2005-05-21 09:18:19

nggalai
Member
From: Switzerland
Registered: 2004-08-01
Posts: 215
Website

Building Evolution 2.2.2 -- Errors

Hi there,

As I'm having problems with Evolution and libgnomecanvas 2.10.1, I've been trying to rebuild Evolution 2.2.2 using ABS. Unfortunately, I get the following error:

configure: error: evolution requires pilot-link to have working UTF-8 conversion routines
make: *** No targets specified and no makefile found.  Stop.
==> ERROR: Build Failed.  Aborting...

Any idea how I have to build pilot-link to enable UTF-8 support?

Then, when I disable Pilot-link support and build Evolution, the following error breaks the building process:

/usr/bin/ld: cannot find -lnss3
collect2: ld returned 1 exit status
make[4]: *** [evolution-addressbook-export] Error 1
make[4]: Leaving directory `/usr/src/local/evolution/src/evolution-2.2.2/addressbook/tools'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/local/evolution/src/evolution-2.2.2/addressbook'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/local/evolution/src/evolution-2.2.2/addressbook'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/local/evolution/src/evolution-2.2.2'
make: *** [all] Error 2
==> ERROR: Build Failed.  Aborting...

Any ideas what's wrong? Your help is much appreciated.

93,
-Sascha.rb

Offline

#2 2005-05-21 12:01:41

JGC
Developer
Registered: 2003-12-03
Posts: 1,660

Re: Building Evolution 2.2.2 -- Errors

Your bug has been solved with the release of libgnomecanvas 2.10.1-2.

Seems our pilot-link package is a little bit broken, need to check gnome-pilot for that. About the -lnss3: change the PKGBUILD to use make LDFLAGS+=/opt/mozilla/lib/firefox, the evolution-data-server package has been compiled against nss-nspr itself, while you're trying to compile evolution against firefox libs, which means that LDFLAGS for firefox aren't passed through correctly from evolution-data-server.

Offline

#3 2005-05-21 12:05:38

nggalai
Member
From: Switzerland
Registered: 2004-08-01
Posts: 215
Website

Re: Building Evolution 2.2.2 -- Errors

JGC wrote:

Your bug has been solved with the release of libgnomecanvas 2.10.1-2.

Seems our pilot-link package is a little bit broken, need to check gnome-pilot for that. About the -lnss3: change the PKGBUILD to use make LDFLAGS+=/opt/mozilla/lib/firefox, the evolution-data-server package has been compiled against nss-nspr itself, while you're trying to compile evolution against firefox libs, which means that LDFLAGS for firefox aren't passed through correctly from evolution-data-server.

Excellent! Thanks a lot for both the fix and the hints on how to get Evolution to compile. smile

93,
-Sascha.rb

Offline

Board footer

Powered by FluxBB